/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
/**
 * @file GLBlendFuncDlg.h
 * @brief クラス CGLBlendFuncDlg の宣言
 */
#if !defined(AFX_GLBLENDFUNCDLG_H__0BFDB3C9_55C5_48E6_96BF_11489389D69E__INCLUDED_)
#define AFX_GLBLENDFUNCDLG_H__0BFDB3C9_55C5_48E6_96BF_11489389D69E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mgModelessDialogue.h"

class MGSurfBlendAllTool;

/////////////////////////////////////////////////////////////////////////////
// CGLBlendFuncDlg ダイアログ

class CGLBlendFuncDlg : public mgModelessDialogue{
	friend class MGSurfBlendAllTool;

// ダイアログ データ
	//{{AFX_DATA(CGLBlendFuncDlg)
	int		m_slider_u_e;
	int		m_slider_u_s;
	int		m_slider_v_e;
	int		m_slider_v_s;
	double	m_ue;
	double	m_us;
	double	m_ve;
	double	m_vs;
	//}}AFX_DATA

	bool m_bModified;//Modified flag.

public:
	// コンストラクション
	CGLBlendFuncDlg(MGSurfBlendAllTool* tool);   // 標準のコンストラクタ

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CGLBlendFuncDlg)
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	MGSurfBlendAllTool * getSurfBlendAllToolPointer();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	virtual void OnOK();
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CGLBlendFuncDlg)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnUpdateEdit();
	afx_msg void OnKillfocusEdit();
	//}}AFX_MSG

private:
	void UpdateView();

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_GLBLENDFUNCDLG_H__0BFDB3C9_55C5_48E6_96BF_11489389D69E__INCLUDED_)
